package ${basePackage}.module.system.ent;

import ${basePackage}.frame.base.BaseEntity;
import ${basePackage}.frame.excel.annotation.ColumnDescription;
import ${basePackage}.frame.excel.annotation.ColumnName;
import ${basePackage}.frame.excel.annotation.SheetName;

/**
 * DICT - 字典
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
@SheetName("字典")
public class Dict extends BaseEntity {

    /**
     * DICT_NAME - 字典名称
     */
    @ColumnName("字典名称")
    @ColumnDescription("1-50长度的字典名称")
    private String dictName;
    /**
     * DICT_COMMENT - 字典代码
     */
    @ColumnName("字典描述")
    @ColumnDescription("1-50长度的字典描述")
    private String dictComment;
    /**
     * VERSION - 字典版本
     */
    @ColumnName("字典版本")
    @ColumnDescription("字典版本.例如:（yyyy-MM-dd HH:mm:ss）")
    private String version;
    /**
     * VALID - 是否有效
     */
    @ColumnName("是否有效")
    @ColumnDescription("Y/N,是/否")
    private Boolean valid;

    public String getDictName() {
        return this.dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictComment() {
        return this.dictComment;
    }

    public void setDictComment(String dictComment) {
        this.dictComment = dictComment;
    }

    public String getVersion() {
        return this.version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}